Subject: Re: bug#45671: 28.0.50; Permission denied when removing eln-cache and stuck in endless loop

From: Andrea Corallo <[email-masked]>
Date: Tue, 05 Jan 2021 11:18:12 +0000

[re-adding the bug in Cc]

Anders Stenman <[email-masked]> writes:

> No, it seems to happen sometimes (not every time) after I have updated
> packages from ELPA. Emacs just spits out these messages in the "Async
> native compile log" buffer. In that case I have to terminate emacs the
> hard way by killing the process.

Okay the I think the trouble is in `comp-delete-or-replace-file' when
gets called from `comp--compile-ctxt-to-file' (probably through
`comp-clean-up-stale-eln').

There's some specific Windows handling for shared that can't be removed
because still loaded.

  Andrea

PS can't you kill the sub processes?  Or the main Emacs is hanging?